| Version: 3.2.5

Classes | Functions | Variables
xlocale.h File Reference

## Classes

class | wxXLocale
| This class represents a locale object used by so-called xlocale API. More...

## Functions

int | wxIsalnum_l (wchar_t c, const wxXLocale &loc)
int | wxIsalpha_l (wchar_t c, const wxXLocale &loc)
int | wxIscntrl_l (wchar_t c, const wxXLocale &loc)
int | wxIsdigit_l (wchar_t c, const wxXLocale &loc)
int | wxIsgraph_l (wchar_t c, const wxXLocale &loc)
int | wxIslower_l (wchar_t c, const wxXLocale &loc)
int | wxIsprint_l (wchar_t c, const wxXLocale &loc)
int | wxIspunct_l (wchar_t c, const wxXLocale &loc)
int | wxIsspace_l (wchar_t c, const wxXLocale &loc)
int | wxIsupper_l (wchar_t c, const wxXLocale &loc)
int | wxIsxdigit_l (wchar_t c, const wxXLocale &loc)
wchar_t | wxTolower_l (wchar_t c, const wxXLocale &loc)
wchar_t | wxToupper_l (wchar_t c, const wxXLocale &loc)
double | wxStrtod_l (const wchar_t *c, wchar_t **endptr, const wxXLocale &loc)
long | wxStrtol_l (const wchar_t *c, wchar_t **endptr, int base, const wxXLocale &loc)
unsigned long | wxStrtoul_l (const wchar_t *c, wchar_t **endptr, int base, const wxXLocale &loc)

## Variables

wxXLocale | wxNullXLocale
| An empty and invalid wxXLocale object. More...

## Variable Documentation

## ◆ wxNullXLocale

wxXLocale wxNullXLocale

An empty and invalid wxXLocale object.